This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 732941 - Clicks on column headers of webtrans doc list cause editor to be opened
Clicks on column headers of webtrans doc list cause editor to be opened
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4-RC
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-24 04:50 EDT by David Mason
Modified: 2012-04-23 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5-SNAPSHOT (20110927-0844)
Doc Type: Bug Fix
Doc Text:
Story Points: 1
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2011-08-24 04:50:45 EDT
Description of problem:
Clicking on column headers of webtrans cause the editor view to be opened with the most recent document that was open. The click also sorts by that column, but this is not visible until returning to the document list.

Version-Release number of selected component (if applicable):
1.4 commit d926af1e98870d0d82ca and earlier

How reproducible:
Always

Steps to Reproduce:
Already fixed in commit 256fe12a8eaa3aca3655
1. Build from commit d926af1e98870d0d82ca
2. Open webtrans with any project version
3. Click a document to open the editor
4. Click project name to return to doc list
5. Click a column header label

Note: I forgot to try clicking a column header before loading any document.
  
Actual results:
Doc list is hidden and editor is shown with previously selected document.
Doclist is sorted by the clicked column.

Expected results:
Doclist stays visible.
Doclist is sorted by the clicked column.

Additional info:
Fixed in https://github.com/zanata/zanata/commit/256fe12a8eaa3aca3655275cabd90021492cc94c
Comment 1 Ding-Yi Chen 2011-09-26 23:33:57 EDT
VERIFIED with Zanata version 1.5-SNAPSHOT (20110927-0844)

Note You need to log in before you can comment on or make changes to this bug.